#! /usr/bin/env perl
use warnings;

# Originally written in 2007
# Updated by FL 1/4/2013

# Command line arguments

use DBI;
# This uses files downloaded from UCSC
# Go to Home-> Downloads -> Organism -> Aonnotation Database -> refseqSummary.txt.gz
# you can download as many organisms that you want, than run this script on them

# This script adds Gene_IDs to refseqsummary entries

# Fill in your info here
$HOST="machine_name";
$DB="name_of_database";
$USER="user_name";
$PW="password_for_user";



# ARGV
$file = $ARGV[0];	# refSeqSummary.txt
$file2 = $ARGV[1];      # refSeqSummary
$TAX_ID = 9606;	# Human


# connect to db
$dbpath = "dbi:mysql:database=$DB;host=$HOST";
$dbh = DBI->connect($dbpath, "$USER", "$PW") or die "Can't open database: $DBI::errstr";

$query = $dbh->prepare ( qq{select RNA_nuc_access_version, gene_id from gene2refseq where tax_id = $TAX_ID});
$query->execute();

while (@rows = $query->fetchrow_array)
{
	$refseqRNA = $rows[0];
	# Remove version [ex: .1] at end of accession
	$refseqRNA =~ s/\.\d+//;
	
	$geneID = $rows[1];
	
	$rna2gene{$refseqRNA} = $geneID;
	
	# print STDERR "$refseqRNA\t$rna2gene{$refseqRNA}\n";
}

open (READ, $file) || print "can't open $file\n";
open (WRITE, ">$file2") || print "can't write to $file2\n";

while (<READ>)
{
	chomp($_);

	@fields = split (/\t/,$_);
	
	$mrna = $fields[0];

	if ($rna2gene{$mrna})
	{
		$entrezGeneID = $rna2gene{$mrna};
		$status = $fields[1];
		$summary = $fields[2];
	
		print WRITE "$entrezGeneID\t$mrna\t$status";
		if ($summary)
		{
			print WRITE "\t$summary\n";
		}
	}
	else
	{
		# print "No gene for $mrna
	}
}
