#!/bin/sh

################################################################ 
#
# Author:      Bioinformatics and Research Computing, Whitehead Institute
#              wibr-bioinformatics@wi.mit.edu
#
# Purpose:     Shell script to load parsed NCBI files into Entrez Gene database
#               
# Date:        Created August 2007
#              Last updated 3 January 2013
#
#################################################################

#  Three scripts to run

#  Download the data from UCSC

   echo "Downloading data..."

#  Currently uses hg19 from UCSC

   ./download_refseqSummary.pl

   echo "Done downloading data (based on hg19 genome assembly) from UCSC..."

#  Preprocess downloaded data

   echo "Preprocess downloaded data by adding Gene IDs..."

   ./summary_query_id.pl refSeqSummary.txt refSeqSummary.GeneIDs

   echo "Done preprocessing data by adding Gene IDs..."

#  Add primary IDs
   
   echo "Adding primary IDs ...."  

   ./add_primary_id_refseq.pl

   echo "Done adding primary IDs..."
